@mixin clearfix{
    &::after{
        content: "";
        display: table;
        clear: both;
    }
}

@mixin position-center{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* MEDIA QUERY MANAGER

    * BreakPoint Argument Choices
        ► 0 - 600px   : Phone
        ► 600 - 900px : Tablet Portrait
        ► 900 - 1200  : Tablet landscape
        ► [1200 - 1800] is where our normal styles apply
        ► 1800px +    : Big Desktop

    * Order : Base + Typography > general Layout > page layout > components
    
    Converting font size
    1em = 16px

    em unit is the best solution for media queries
*/
@mixin respond($breakpoint){
    
    @if $breakpoint == phone { // <= 600px
        @media only screen and (max-width: 37.5em){ @content };
    }
    @if $breakpoint == tab-port{ // <= 900px
        @media only screen and (max-width: 56.25em){ @content };
    }
    @if $breakpoint == tab-land{ // <= 1200px
        @media only screen and (max-width: 75em){ @content };
    }
    @if $breakpoint == big-desktop{ // >= 1800px
        @media only screen and (min-width: 112.5em){ @content };
    }
}